获取 importedWindowsAutopilotDeviceIdentity

命名空间:microsoft.graph

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

读取 importedWindowsAutopilotDeviceIdentity 对象的属性和关系。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementServiceConfig.Read.All、DeviceManagementServiceConfig.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementServiceConfig.Read.All、DeviceManagementServiceConfig.ReadWrite.All

HTTP 请求

GET /deviceManagement/importedWindowsAutopilotDeviceIdentities/{importedWindowsAutopilotDeviceIdentityId}

可选的查询参数

此方法支持 OData 查询参数 来帮助自定义响应。

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法会在响应正文中返回200 OK响应代码和 importedWindowsAutopilotDeviceIdentity 对象。

示例

请求

下面是一个请求示例。

GET https://graph.microsoft.com/v1.0/deviceManagement/importedWindowsAutopilotDeviceIdentities/{importedWindowsAutopilotDeviceIdentityId}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 729

{
  "value": {
    "@odata.type": "#microsoft.graph.importedWindowsAutopilotDeviceIdentity",
    "id": "985b4f49-4f49-985b-494f-5b98494f5b98",
    "groupTag": "Group Tag value",
    "serialNumber": "Serial Number value",
    "productKey": "Product Key value",
    "importId": "Import Id value",
    "hardwareIdentifier": "aGFyZHdhcmVJZGVudGlmaWVy",
    "state": {
      "@odata.type": "microsoft.graph.importedWindowsAutopilotDeviceIdentityState",
      "deviceImportStatus": "pending",
      "deviceRegistrationId": "Device Registration Id value",
      "deviceErrorCode": 15,
      "deviceErrorName": "Device Error Name value"
    },
    "assignedUserPrincipalName": "Assigned User Principal Name value"
  }
}